[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# EIBDatabaseError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Firebird/Interbase database error

## Declaration

Source position: ibconnection.pp line 33

`type EIBDatabaseError = class(ESQLDatabaseError)`
`public`
`property StatusVector: TStatusVector; [rw]` |  | Low-level IB API status vector
`property GDSErrorCode: Integer; [r] deprecated ;` |  | Firebird/Interbase GDS error code.
`end;`

## Inheritance

`EIBDatabaseError` |  | Firebird/Interbase database error
`ESQLDatabaseError` |  | SQL database error class.
`EDatabaseError` |  | Base class for all database-related errors
`Exception`
`TObject`

## Description

Firebird/Interbase database error, a descendant of db.EDatabaseError.

## See also

db.EDatabaseError |  | Base class for all database-related errors